package com.sunxung.factoring.entity.creditresolution;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 授信决议审核结论
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
@TableName("credit_resolution_approval")
public class CreditResolutionApproval {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 授信决议id
     */
    @TableField("credit_resolution_id")
    private Long creditResolutionId;

    /**
     * 授信决议历史id
     */
    @TableField("credit_resolution_history_id")
    private Long creditResolutionHistoryId;

    /**
     * 审批结论
     */
    @TableField("conclusion")
    private String conclusion;

    /**
     * 审批意见
     */
    @TableField("suggestion")
    private String suggestion;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreditResolutionHistoryId() {
        return creditResolutionHistoryId;
    }

    public void setCreditResolutionHistoryId(Long creditResolutionHistoryId) {
        this.creditResolutionHistoryId = creditResolutionHistoryId;
    }

    public Long getCreditResolutionId() {
        return creditResolutionId;
    }

    public void setCreditResolutionId(Long creditResolutionId) {
        this.creditResolutionId = creditResolutionId;
    }
    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }
    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    @Override
    public String toString() {
        return "CreditResolutionApproval{" +
            "creditResolutionId=" + creditResolutionId +
            ", conclusion=" + conclusion +
            ", suggestion=" + suggestion +
        "}";
    }
}
